%define current_version 7.2

Name:           libguestfs-winsupport
Version:        %{current_version}
Release:        3%{?dist}
Summary:        Add support for Windows guests to libguestfs

License:        GPLv2+
ExclusiveArch:  x86_64

# This package shouldn't be installed without installing the base
# libguestfs package.
Requires:       libguestfs >= 1:1.27.19

# Built for supermin 5.  This will not work with older supermin.
Requires:       supermin5
Requires:		ntfs-3g >= 2015.3.14
Requires:		ntfsprogs >= 2015.3.14

%description
This optional package adds support for Windows guests (NTFS) to the
base libguestfs Red Hat Enterprise Linux (RHEL) package.  This is
useful for examining Windows virtual machines running on RHEL, and for
performing V2V of Windows guests from another hypervisor to RHEL.

To enable Windows support, simply install this package.

To disable Windows support, uninstall this package.

%install
mkdir -p %{buildroot}%{_libdir}/guestfs/supermin.d
echo ntfs-3g > %{buildroot}%{_libdir}/guestfs/supermin.d/zz-winsupport
echo ntfsprogs >> %{buildroot}%{_libdir}/guestfs/supermin.d/zz-winsupport

%files
%defattr(644, root, root, 755)
# For libguestfs appliance:
%{_libdir}/guestfs/supermin.d/zz-winsupport

%changelog
* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.2-3
- Rebuild in 7.3 environment

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.2-2
- Technical rebuild, see #PSBM-47948

* Tue Oct 27 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> - 7.2-1
- Rebase to ntfs-3g and ntfsprogs 2015.3.14
